{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidSpecialite }}</div>
{% endblock %}

{% block formulaire %}
<div class='LesChamps'>
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
{#LP 03/09/2020 debut#}
    <div class="d-flex justify-content-start flex-wrap">
        {% if poForm.icouleur is defined %}
            <div class="form-group col-sm-12 col-md-3 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'col-sm-3 mr-3 d-flex justify-content-end control-label'}}) }}

                <div class="col-sm-8">
                    {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                    <input type='text' id="icouleur_spectrum"/>
                    <input type='hidden' class="form-control" name="fEntityForm_specialites[icouleur]" id="fEntityForm_specialites_icouleur" 
{# LG 20200824 old                          value="{{ poForm.vars.value.icouleur }}"/>#}
                           value="{{ (poForm.vars.value.icouleur is defined) ? poForm.vars.value.icouleur : "" }}"/>
                    {% do poForm.icouleur.setRendered %}
                    <script>
                        LGSpectrum("#icouleur_spectrum", "#fEntityForm_specialites_icouleur", function (color) {
                            var colorRGB = color.toRgb();
                            var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b)
                            $("#fEntityForm_specialites_icouleur").val(colorI);
                        });
                    </script>
                </div>
            </div>
        {% endif %}
    </div>
    {#LP 03/09/2020 fin#}
</div>
{% endblock %}
